# Uses of Class
org.jsoup.nodes.DataNode

Packages that use DataNode
Package
Description
org.jsoup.nodes
HTML document structure nodes.
org.jsoup.select
Packages to support the CSS-style element selector.

## Uses of DataNode in org.jsoup.nodes

Methods in org.jsoup.nodes that return DataNode
Modifier and Type
Method
Description
`DataNode`
DataNode.`clone()`
`DataNode`
DataNode.`setWholeData(String data)`
Set the data contents of this node.
Methods in org.jsoup.nodes that return types with arguments of type DataNode
Modifier and Type
Method
Description
`List<DataNode>`
Element.`dataNodes()`
Get this element's child data nodes.

## Uses of DataNode in org.jsoup.select

Methods in org.jsoup.select that return types with arguments of type DataNode
Modifier and Type
Method
Description
`List<DataNode>`
Elements.`dataNodes()`
Get `DataNode` nodes that are direct child nodes of the selected elements.